## org.hibernate.tuple.entity
Class Dom4jEntityTuplizer.BasicEntityNameResolver

    java.lang.Object
      org.hibernate.tuple.entity.Dom4jEntityTuplizer.BasicEntityNameResolver

All Implemented Interfaces:
  EntityNameResolver

Enclosing class:
  Dom4jEntityTuplizer

    public static class Dom4jEntityTuplizer.BasicEntityNameResolver

extends Object
implements EntityNameResolver

Constructor Summary
`Dom4jEntityTuplizer.BasicEntityNameResolver(String rootEntityName, Map nodeNameToEntityNameMap)`

Method Summary
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `resolveEntityName(Object entity)` Given an entity instance, determine its entity-name.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dom4jEntityTuplizer.BasicEntityNameResolver

    public Dom4jEntityTuplizer.BasicEntityNameResolver(String rootEntityName,
                                                       Map nodeNameToEntityNameMap)

Method Detail

### resolveEntityName

    public String resolveEntityName(Object entity)

  Given an entity instance, determine its entity-name.

  Specified by:
    `resolveEntityName` in interface `EntityNameResolver`
  Parameters:
    `entity` - The entity instance.
  Returns:
    The corresponding entity-name, or null if this impl does not know how to perform resolution for the given entity instance.

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.